diff -urN linux-2.6.0-test1/arch/m68k/sun3/sun3dvma.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/sun3dvma.c
--- linux-2.6.0-test1/arch/m68k/sun3/sun3dvma.c	2003-07-13 23:36:42.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/sun3dvma.c	2003-07-23 16:57:32.000000000 -0400
@@ -58,7 +58,7 @@
 	int i;
 	int j = 0;
 
-	printk("dvma entry usage:\n");
+	printk(KERN_NOTICE "dvma entry usage:\n");
 	
 	for(i = 0; i < IOMMU_TOTAL_ENTRIES; i++) {
 		if(!iommu_use[i])
@@ -66,15 +66,15 @@
 		
 		j++;
 
-		printk("dvma entry: %08lx len %08lx\n", 
+		printk(KERN_NOTICE "dvma entry: %08lx len %08lx\n", 
 		       ( i << DVMA_PAGE_SHIFT) + DVMA_START,
 		       iommu_use[i]);
 	}
 
-	printk("%d entries in use total\n", j);
+	printk(KERN_NOTICE "%d entries in use total\n", j);
 
-	printk("allocation/free calls: %lu/%lu\n", dvma_allocs, dvma_frees);
-	printk("allocation/free bytes: %Lx/%Lx\n", dvma_alloc_bytes, 
+	printk(KERN_NOTICE "allocation/free calls: %lu/%lu\n", dvma_allocs, dvma_frees);
+	printk(KERN_NOTICE "allocation/free bytes: %Lx/%Lx\n", dvma_alloc_bytes, 
 	       dvma_free_bytes);
 }
 
@@ -84,17 +84,17 @@
 	struct list_head *cur;
 	struct hole *hole;
 
-	printk("listing dvma holes\n");
+	printk(KERN_NOTICE "listing dvma holes\n");
 	list_for_each(cur, holes) {
 		hole = list_entry(cur, struct hole, list);
 		
 		if((hole->start == 0) && (hole->end == 0) && (hole->size == 0))
 			continue;
 		
-		printk("hole: start %08lx end %08lx size %08lx\n", hole->start, hole->end, hole->size);
+		printk(KERN_NOTICE "hole: start %08lx end %08lx size %08lx\n", hole->start, hole->end, hole->size);
 	}
 	
-	printk("end of hole listing...\n");
+	printk(KERN_NOTICE "end of hole listing...\n");
 	
 }
 #endif /* DVMA_DEBUG */
@@ -134,7 +134,7 @@
 
 	if(list_empty(&hole_cache)) {
 		if(!refill()) {
-			printk("out of dvma hole cache!\n");
+			printk(KERN_ERR "out of dvma hole cache!\n");
 			BUG();
 		}
 	}
@@ -154,7 +154,7 @@
 
 	if(list_empty(&hole_list)) {
 #ifdef DVMA_DEBUG
-		printk("out of dvma holes! (printing hole cache)\n");
+		printk(KERN_DEBUG "out of dvma holes! (printing hole cache)\n");
 		print_holes(&hole_cache);
 		print_use();
 #endif
@@ -193,7 +193,7 @@
 
 	}
 
-	printk("unable to find dvma hole!\n");
+	printk(KERN_ERR "unable to find dvma hole!\n");
 	BUG();
 	return 0;
 }
@@ -285,13 +285,13 @@
 		len = 0x800;
 
 	if(!kaddr || !len) {
-//		printk("error: kaddr %lx len %x\n", kaddr, len);
+//		printk(KERN_ERR "error: kaddr %lx len %x\n", kaddr, len);
 //		*(int *)4 = 0;
 		return 0;
 	}
 
 #ifdef DEBUG
-	printk("dvma_map request %08lx bytes from %08lx\n", 
+	printk(KERN_DEBUG "dvma_map request %08lx bytes from %08lx\n", 
 	       len, kaddr);
 #endif
 	off = kaddr & ~DVMA_PAGE_MASK;
@@ -305,12 +305,12 @@
 		align = ((align + (DVMA_PAGE_SIZE-1)) & DVMA_PAGE_MASK);
 
 	baddr = get_baddr(len, align);
-//	printk("using baddr %lx\n", baddr);
+//	printk(KERN_NOTICE "using baddr %lx\n", baddr);
 
 	if(!dvma_map_iommu(kaddr, baddr, len))
 		return (baddr + off);
 	
-	printk("dvma_map failed kaddr %lx baddr %lx len %x\n", kaddr, baddr, len);
+	printk(KERN_ERR "dvma_map failed kaddr %lx baddr %lx len %x\n", kaddr, baddr, len);
 	BUG();
 	return 0;
 }
@@ -341,7 +341,7 @@
 		return NULL;
 
 #ifdef DEBUG
-	printk("dvma_malloc request %lx bytes\n", len);
+	printk(KERN_DEBUG "dvma_malloc request %lx bytes\n", len);
 #endif
 	len = ((len + (DVMA_PAGE_SIZE-1)) & DVMA_PAGE_MASK);
 
@@ -362,7 +362,7 @@
 	}
 
 #ifdef DEBUG
-	printk("mapped %08lx bytes %08lx kern -> %08lx bus\n",
+	printk(KERN_DEBUG "mapped %08lx bytes %08lx kern -> %08lx bus\n",
 	       len, kaddr, baddr);
 #endif
 
diff -urN linux-2.6.0-test1/arch/m68k/sun3/sun3ints.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/sun3ints.c
--- linux-2.6.0-test1/arch/m68k/sun3/sun3ints.c	2003-07-13 23:39:30.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/sun3ints.c	2003-07-23 16:58:10.000000000 -0400
@@ -169,7 +169,7 @@
 
 	if(irq < SYS_IRQS) {
 		if(sun3_inthandler[irq] != NULL) {
-			printk("sun3_request_irq: request for irq %d -- already taken!\n", irq);
+			printk(KERN_WARNING "sun3_request_irq: request for irq %d -- already taken!\n", irq);
 			return 1;
 		}
 		
@@ -187,7 +187,7 @@
 
 			vec = irq - 64;
 			if(sun3_vechandler[vec] != NULL) {
-				printk("sun3_request_irq: request for vec %d -- already taken!\n", irq);
+				printk(KERN_WARNING "sun3_request_irq: request for vec %d -- already taken!\n", irq);
 				return 1;
 			}
 
@@ -200,7 +200,7 @@
 		}
 	}
 
-	printk("sun3_request_irq: invalid irq %d\n", irq);
+	printk(KERN_WARNING "sun3_request_irq: invalid irq %d\n", irq);
 	return 1;
 
 }
diff -urN linux-2.6.0-test1/arch/m68k/sun3x/dvma.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3x/dvma.c
--- linux-2.6.0-test1/arch/m68k/sun3x/dvma.c	2003-07-13 23:30:48.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3x/dvma.c	2003-07-23 17:07:19.000000000 -0400
@@ -70,7 +70,7 @@
 
         index = dvma_addr >> DVMA_PAGE_SHIFT;
 
-        printk("idx %lx dvma_addr %08lx paddr %08lx\n", index, dvma_addr,
+        printk(KERN_ALERT "idx %lx dvma_addr %08lx paddr %08lx\n", index, dvma_addr,
                dvma_entry_paddr(index));
 
 
@@ -93,7 +93,7 @@
 	end = PAGE_ALIGN(vaddr + len);
 
 #ifdef DEBUG
-	printk("dvma: mapping kern %08lx to virt %08lx\n",
+	printk(KERN_DEBUG "dvma: mapping kern %08lx to virt %08lx\n",
 	       kaddr, vaddr);
 #endif
 	pgd = pgd_offset_k(vaddr);
@@ -128,7 +128,7 @@
 
 			do {
 #ifdef DEBUG
-				printk("mapping %08lx phys to %08lx\n",
+				printk(KERN_DEBUG "mapping %08lx phys to %08lx\n",
 				       __pa(kaddr), vaddr);
 #endif
 				set_pte(pte, pfn_pte(virt_to_pfn(kaddr), 
@@ -163,7 +163,7 @@
 	for(; index < end ; index++) {
 //		if(dvma_entry_use(index))
 //			BUG();
-//		printk("mapping pa %lx to ba %lx\n", __pa(kaddr), index << DVMA_PAGE_SHIFT);
+//		printk(KERN_DEBUG "mapping pa %lx to ba %lx\n", __pa(kaddr), index << DVMA_PAGE_SHIFT);
 
 		dvma_entry_set(index, __pa(kaddr));
 
@@ -192,11 +192,11 @@
 	
 	for(; index < end ; index++) {
 #ifdef DEBUG
-		printk("freeing bus mapping %08x\n", index << DVMA_PAGE_SHIFT);
+		printk(KERN_DEBUG "freeing bus mapping %08x\n", index << DVMA_PAGE_SHIFT);
 #endif
 #if 0
 		if(!dvma_entry_use(index)) 
-			printk("dvma_unmap freeing unused entry %04x\n",
+			printk(KERN_DEBUG "dvma_unmap freeing unused entry %04x\n",
 			       index);
 		else
 			dvma_entry_dec(index);
diff -urN linux-2.6.0-test1/arch/m68k/sun3x/prom.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3x/prom.c
--- linux-2.6.0-test1/arch/m68k/sun3x/prom.c	2003-07-13 23:33:47.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3x/prom.c	2003-07-23 17:07:43.000000000 -0400
@@ -111,9 +111,9 @@
     idprom_init();
 
     if(!((idprom->id_machtype & SM_ARCH_MASK) == SM_SUN3X)) {
-	    printk("Warning: machine reports strange type %02x\n",
+	    printk(KERN_WARNING "Warning: machine reports strange type %02x\n",
 		   idprom->id_machtype);
-	    printk("Pretending it's a 3/80, but very afraid...\n");
+	    printk(KERN_WARNING "Pretending it's a 3/80, but very afraid...\n");
 	    idprom->id_machtype = SM_SUN3X | SM_3_80;
     }
 
